Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageOutputStack

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageOutputStack

    public final class GroovyPageOutputStack
    extends java.lang.Object

Field Summary
`static org.apache.commons.logging.Log` | `log`

Method Summary
`static GroovyPageOutputStack` | `createNew(java.io.Writer topWriter)`
`static GroovyPageOutputStack` | `currentStack()`
`static GroovyPageOutputStack` | `currentStack(org.springframework.web.context.request.RequestAttributes request)`
`static GroovyPageOutputStack` | `currentStack(boolean allowCreate)`
`static GroovyPageOutputStack` | `currentStack(org.springframework.web.context.request.RequestAttributes request, boolean allowCreate)`
`static GroovyPageOutputStack` | `currentStack(boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)`
`static GroovyPageOutputStack` | `currentStack(org.springframework.web.context.request.RequestAttributes request, boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)`
`static java.io.Writer` | `currentWriter()`
`java.io.Writer` | `getCurrentOriginalWriter()`
`GroovyPageOutputStack.GroovyPageProxyWriter` | `getProxyWriter()`
`void` | `pop()`
`void` | `pop(boolean forceSync)`
`void` | `push(java.io.Writer newWriter)`
`void` | `push(java.io.Writer newWriter, boolean checkExisting)`
`static void` | `removeCurrentInstance()`
`void` | `restoreThreadLocalsToOriginals()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### log

    public static final org.apache.commons.logging.Log log

Method Detail

### createNew

    public static final GroovyPageOutputStack createNew(java.io.Writer topWriter)

### currentStack

    public static GroovyPageOutputStack currentStack()

### currentStack

    public static GroovyPageOutputStack currentStack(org.springframework.web.context.request.RequestAttributes request)

### currentStack

    public static GroovyPageOutputStack currentStack(boolean allowCreate)

### currentStack

    public static GroovyPageOutputStack currentStack(org.springframework.web.context.request.RequestAttributes request, boolean allowCreate)

### currentStack

    public static GroovyPageOutputStack currentStack(boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)

### currentStack

    public static GroovyPageOutputStack currentStack(org.springframework.web.context.request.RequestAttributes request, boolean allowCreate, java.io.Writer topWriter, boolean autoSync, boolean pushTop)

### currentWriter

    public static final java.io.Writer currentWriter()

### getCurrentOriginalWriter

    public java.io.Writer getCurrentOriginalWriter()

### getProxyWriter

    public GroovyPageOutputStack.GroovyPageProxyWriter getProxyWriter()

### pop

    public void pop()

### pop

    public void pop(boolean forceSync)

### push

    public void push(java.io.Writer newWriter)

### push

    public void push(java.io.Writer newWriter, boolean checkExisting)

### removeCurrentInstance

    public static final void removeCurrentInstance()

### restoreThreadLocalsToOriginals

    public void restoreThreadLocalsToOriginals()

Groovy Documentation